<?php

// Determine what locale to use
switch (PHP_OS)
{
	case 'WINNT':
	case 'WIN32':
		$locale = 'hungarian';
		break;

	case 'FreeBSD':
	case 'NetBSD':
	case 'OpenBSD':
		$locale = 'hu_HU.ISO8859-2';
		break;

	default:
		$locale = 'hu_HU';
		break;
}

// Attempt to set the locale (required for fulltext indexing to work correctly)
setlocale(LC_CTYPE, $locale);


// Language definitions for frequently used strings
$lang_common = array(

// Text orientation and encoding
'lang_direction'		=>	'ltr',	// ltr (Left-To-Right) or rtl (Right-To-Left)
'lang_encoding'			=>	'iso-8859-2',
'lang_multibyte'		=>	false,

// Notices
'Bad request'			=>	'Hiba. Az ltalad krt oldal nem tallhat.',
'No permission'			=>	'Nincs joga az oldal megtekintsre.',
'Bad referer'			=>	'Hiba. Krlek menj vissza az elz oldalra s prbld meg jra letlteni ezt az oldalt. Ha minden hiba, ellenrizd, hogy a \'Base URL\' helyesen van-e megadva az Admin/Belltsok menpontban!',

// Miscellaneous (used in many scripts)
'Announcement'			=>	'Kzlemny',
'Options'				=>	'Belltsok',
'Actions'				=>	'',
'Submit'				=>	'Mehet',	// "name" of submit buttons
'Ban message'			=>	'Ki vagy tiltva a frumbl.',
'Ban message 2'			=>	'A kitiltsod megsznsnek idpontja',
'Ban message 3'			=>	'A Tged kizr adminisztrtor vagy modertor a kvetkezt zeni:',
'Ban message 4'			=>	'Minden felmerl krst az adminisztrtornak tegyl fel: ',
'Never'					=>	'Soha',
'Today'					=>	'Ma',
'Yesterday'				=>	'Tegnap',
'Info'					=>	'Info',		// a common table header
'Go back'				=>	'Vissza',
'Maintenance'			=>	'Karbantarts',
'Redirecting'			=>	'tirnyts',
'Click redirect'		=>	'Kattints ide, ha nem akarsz tovbb vrni (vagy ha a bngszd nem irnyt t automatikusan).',
'Login required'		=>	'Csak a bejelentkezett felhasznlk olvashatjk ezt a frumot.',
'on'					=>	'be',		// as in "BBCode is on"
'off'					=>	'ki',
'Invalid e-mail'		=>	'A megadott e-mail cm helytelen.',
'required field'		=>	'Ktelez kitlteni',	// for javascript form validation
'Last post'				=>	'Utols hozzszls',
'by'					=>	'rta:',	// as in last post by someuser
'New posts'				=>	'j&nbsp;hozzszlsok',	// the link that leads to the first new post (use &nbsp; for spaces)
'New posts info'		=>	'Az els j hozzszls ebben a topikban',	// the popup text for new posts links
'Username'				=>	'Felhasznlnv',
'Password'				=>	'Jelsz',
'E-mail'				=>	'E-mail',
'Send e-mail'			=>	'E-mail kldse',
'Registered'			=>	'Regisztrlt',
'Subject'				=>	'Tma',
'Message'				=>	'Hozzszls',
'Topic'					=>	'Topik',
'Forum'					=>	'Frum',
'Posts'					=>	'Hozzszlsok',
'Replies'				=>	'Vlaszok',
'Author'				=>	'Szerz',
'Pages'					=>	'Oldalak',
'BBCode'				=>	'BBCode',	// You probably shouldn't change this
'img tag'				=>	'[img] kd',
'Smilies'				=>	'Mosolygk',
'and'					=>	's',
'Image link'			=>	'kp',	// This is displayed (i.e. <image>) instead of images when "Show images" is disabled in the profile
'wrote'					=>	'rta',	// For [quote]'s
'Code'					=>	'Code',		// For [code]'s
'Mailer'				=>	'Mailer',	// As in "MyForums Mailer" in the signature of outgoing e-mails

// Title
'Title'					=>	'Titulus',
'Member'				=>	'Tag',	// Default title
'Moderator'				=>	'Modertor',
'Administrator'			=>	'Adminisztrtor',
'Banned'				=>	'Kizrva',
'Guest'					=>	'Vendg',

// Stuff for include/parser.php
'BBCode error'			=>	'A BBCode szintaxisa helytelen.',
'BBCode error 1'		=>	'Hinyz nyit kd [/quote].',
'BBCode error 2'		=>	'Hinyz lezr kd [code].',
'BBCode error 3'		=>	'Hinyz nyit kd [/code].',
'BBCode error 4'		=>	'Egy vagy tbb hinyz lezr kd [quote].',
'BBCode error 5'		=>	'Egy vagy tbb hinyz nyit kd [/quote].',

// Stuff for the navigator (top of every page)
'Home'					=>	'Tartalom',
'User list'				=>	'Taglista',
'Rules'					=>  'Szablyok',
'Search'				=>  'Keress',
'Register'				=>  'Regisztrci',
'Login'					=>  'Belps',
'Not logged in'			=>  'Nem vagy bejelentkezve.',
'Profile'				=>	'Belltsaid',
'Logout'				=>	'Kilps',
'Logged in as'			=>	'dvzlnk,',
'Admin'					=>	'Adminisztrci',
'Last visit'			=>	'Utols ltogatsod',

// Stuff for the page footer
'Show new posts'		=>	'Az j hozzszlsok megjelentse',
'Show unanswered posts'	=>	'Megvlaszolatlan hozzszlsok megtekintse',
'Show your posts'		=>	'Sajt hozzszlsaid megtekintse',
'Mark all as read'		=>	'Az sszes megjellse olvasottknt',
'Jump to'				=>	'Ugrs erre',
'Go'					=>	' Mehet ',		// submit button in forum jump
'Move topic'			=>  'thelyezs',
'Open topic'			=>  'Megnyits',
'Close topic'			=>  'Bezrs',
'Unstick topic'			=>  'Topik eloldsa',
'Stick topic'			=>  'Topik rgztse',
'Moderate forum'		=>	'A frum moderlsa',
'Delete posts'			=>	'Hozzszlsok trlse'

);
